RESTinio

Classes | Public Member Functions | Public Attributes | List of all members
restinio::router::pcre_details::match_results_t< Traits > Struct Template Referencefinal

A wrapper class for working with pcre match results. More...

`#include <pcre_regex_engine.hpp>`

## Classes
struct | matched_item_descriptor_t

## Public Member Functions
matched_item_descriptor_t | operator[] (std::size_t i) const
std::size_t | size () const

## Public Attributes
std::size_t | m_size { 0 }
std::array< int, 3 *Traits::max_capture_groups > | m_submatches

## Detailed Description

template<typename Traits>
struct restinio::router::pcre_details::match_results_t< Traits >

A wrapper class for working with pcre match results.

Definition at line 33 of file pcre_regex_engine.hpp.

## Member Function Documentation

## ◆ operator[]()

template<typename Traits >

matched_item_descriptor_t restinio::router::pcre_details::match_results_t< Traits >::operator[] | ( | std::size_t | i | ) | const
| inline

Definition at line 49 of file pcre_regex_engine.hpp.

## ◆ size()

template<typename Traits >

std::size_t restinio::router::pcre_details::match_results_t< Traits >::size | ( |  | ) | const
| inline

Definition at line 63 of file pcre_regex_engine.hpp.

## Member Data Documentation

## ◆ m_size

template<typename Traits >

std::size_t restinio::router::pcre_details::match_results_t< Traits >::m_size { 0 }

Definition at line 65 of file pcre_regex_engine.hpp.

## ◆ m_submatches

template<typename Traits >

std::array< int, 3 * Traits::max_capture_groups > restinio::router::pcre_details::match_results_t< Traits >::m_submatches

Definition at line 66 of file pcre_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/pcre_regex_engine.hpp